(in-package :om)

(defun algeb (init n pas);;;---> L P 2/8/92
  (if (= n 0)()
      (cons init (algeb (+ pas init) (1- n) pas))))
;(algeb 10 5 25)
;-->(10 35 60 85 110)



(defun cloche (n m e)
  (expt 2.7 (- (/ (expt (- n m) 2 ) (expt e 2)))))
;(cloche 96 48 24)


(defun gauss-1 (a b xval moy ecart)
(if (= xval 0)()
(let ((result ())
      (Lx (algeb a xval (/ (- b a) (1- xval)))))
    (dolist (xx Lx (reverse result))
      (push (cloche xx moy ecart) result)))))

;(gauss-1 0 2 3 1 1)



;;;---> L P 2/8/92
(defmethod* gauss-ser  ((a number)
                        (b number)
                        (moy number) 
                        (ecart number)
                        (xval number))
     :initvals (list 0 2 1 1 5)
  :indoc '("a" "b" "moy" "ecart" "xval")
  :icon 160
  :doc "donne les images par une courbe gaussienne de xval valeurs prises entre a et b"  
  
 (gauss-1 a b xval moy ecart))

;(gauss-ser 0 2 1 1 5 )
;--> (0.37 0.78 1.0 0.78 0.37)



